Bug 1739553 - cairo-dock-plug-ins depends on Python 2
Summary: cairo-dock-plug-ins depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo-dock-plug-ins
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-09 13:49 UTC by Lumír Balhar
Modified: 2019-08-20 09:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-20 09:46:42 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-09 13:49:05 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for cairo-dock-plug-ins's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to cairo-dock-plug-ins.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:11:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:15:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-19 11:28:11 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Mamoru TASAKA 2019-08-19 12:05:26 UTC
Please do understand that replying to more than 10 bugs with multiple questions in 2 weeks (3 comments means 2 weeks) is really hard for volunteers, thank you.

Comment 5 Mamoru TASAKA 2019-08-19 12:19:30 UTC
Note that I may just kill python2 binding, because cairo-dock-plug-ins already has python3 binding.

Comment 6 Petr Viktorin 2019-08-19 14:05:37 UTC
> Please do understand that replying to more than 10 bugs with multiple questions in 2 weeks (3 comments means 2 weeks) is really hard for volunteers, thank you.

Sorry for that! We need to get this information for hundreds of packages, so we use automation, which is not very friendly in your case.
We can of course give you more time if 2 weeks is not enough.

We will drop packages in mid-November. If you need more time to get everything sorted out, let us know.


For cairo-dock-python2, yes, from our side it looks like the python2 bindings can be removed.

Comment 7 Mamoru TASAKA 2019-08-20 09:46:42 UTC
Removed python2 binding on cairo-dock-plug-ins-3.4.1-29.fc31 and onwards


Note You need to log in before you can comment on or make changes to this bug.